org.keycloak.dom.xmlsec.w3.xmldsig

## Class SignaturePropertyType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SignaturePropertyType

-     public class SignaturePropertyType
      extends Object

  Java class for SignaturePropertyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignaturePropertyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <any/>
             </choice>
             <attribute name="Target" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `content`
    `protected String` | `id`
    `protected String` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturePropertyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getContent()` Gets the value of the content property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getTarget()` Gets the value of the target property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTarget(String value)` Sets the value of the target property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

    - #### target

          protected String target

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SignaturePropertyType

          public SignaturePropertyType()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      Objects of the following type(s) are allowed in the list `Element` `Object` `String`

    - #### getTarget

          public String getTarget()

      Gets the value of the target property.
      Returns:
        possible object is `String`

    - #### setTarget

          public void setTarget(String value)

      Sets the value of the target property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.